Your Moodle version

Themes: cerulean

theme_cerulean
Maintained by Picture of Bas Brands Bas Brands
This is a bootswatch theme for Moodle 2.7 and Bootstrap3
3k
2

This is a child theme for Moodle 2.7 and Bootstrap3

Before installing this theme download the latest version of the Bootstrap 3 theme.


Screenshots

Screenshot

Contributors

Picture of Bas Brands
Bas Brands (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Anthony Borrow
    Tue, May 13, 2014, 12:15 PM
    Bas,

    Many thanks for sharing this plugin with the Moodle community.

    I noticed that some of the copyrights reference a previous author. It is preferred that all of the files that you have modified for this plugin have your name listed (or added) as the copyright holder. In particular, I noticed:

    ./settings.php: * @copyright 2014 Frédéric Massart

    I was successfully able to install the plugin but it does not appears to function as expected. It appears that the css is not loading. Could you try to install this on a clean 2.7 instance and make sure it is working as expected?

    For now, I am going to mark this plugin as needing more work until we get these issues resolved. Thanks for your patience with the review and approval process. Please do not hesitate to let me know if there is anything I can do to be supportive of your efforts. Peace - Anthony
  • Picture of Bas Brands
    Tue, May 13, 2014, 8:43 PM
    Hi Anthony,

    Thanks you very much for taking the time to review this theme!

    First of all: I updated the copyright in settings.php (oopsie)

    Second: The css was not loading because the zip files I uploaded did not contain the less files. I forgot to turn off my zip alias which prevents including less files (another oopsie).

    I have updated the bootstrap3 theme, the slate theme and the cerulean theme so all themes now have less files.

    Thanks again!
    Bas

  • Anthony Borrow
    Tue, May 13, 2014, 10:12 PM
    Bas - Thanks for promptly patching things up. Perhaps I will need to change my nickname to the Oopsie Catcher ;) I found another oopsie in the bootstrap thirdpartylib.xml file and commented on that plugin.

    I have installed the new version of the theme and it is functioning as expected. I am going to go ahead and approve this theme.

    Below are the code checker results:

    theme/cerulean/style/custom.css
    theme/cerulean/lib.php - 2 error(s) and 0 warning(s)
    theme/cerulean/lang/en/theme_cerulean.php - 1 error(s) and 0 warning(s)
    theme/cerulean/config.php - 2 error(s) and 0 warning(s)
    theme/cerulean/version.php - 2 error(s) and 0 warning(s)
    theme/cerulean/settings.php - 3 error(s) and 0 warning(s)
    theme/cerulean/README.txt
    Total: 10 error(s) and 0 warning(s)
  • Picture of Bas Brands
    Tue, May 13, 2014, 11:06 PM
    Thanks for checking this. I have fixed the bits that fail in the code checker. Thanks again!
  • Picture of Peter Eckstein
    Thu, Jul 17, 2014, 1:04 AM
    Hi. I'm trying to match up the color theme with some images I'm adding. What is the color code of the blue that is being used?
  • Picture of Bas Brands
    Thu, Jul 17, 2014, 1:09 AM
    Hi Peter,

    Great! I hope it will work well for you. The colour code is: #157ab5
  • Picture of Michael Galyan
    Fri, Jul 18, 2014, 10:33 PM
    Hi
    How I can remove moodlelogo and favicon?
  • Picture of Sakshi Goel
    Fri, Aug 22, 2014, 3:30 PM
    Hello Ban ,

    When we have set the quiz to open in secure window and start a attempt we are getting error below:
    I have tested both in local as well as live site. This error is appearing both in cerulean as well as bootstrap theme.

    Can not load jQuery plugin 'bootstrap', missing plugins.php in component 'theme_bootstrap'.

    line 481 of /lib/outputrequirementslib.php: call to debugging()
    line 22 of /theme/bootstrap/layout/secure.php: call to page_requirements_manager->jquery_plugin()
    line 877 of /lib/outputrenderers.php: call to include()
    line 807 of /lib/outputrenderers.php: call to core_renderer->render_page_layout()
    line ? of unknownfile: call to core_renderer->header()
    line 240 of /lib/outputrenderers.php: call to call_user_func_array()
    line 421 of /mod/quiz/renderer.php: call to plugin_renderer_base->__call()
    line 421 of /mod/quiz/renderer.php: call to mod_quiz_renderer->header()
    line 148 of /mod/quiz/attempt.php: call to mod_quiz_renderer->attempt_page()

    Fatal error: Call to undefined function theme_bootstrap_html_for_settings() in /var/www/moodle/theme/bootstrap/layout/secure.php on line 24

  • Picture of Александра Спирина
    Mon, Sep 8, 2014, 3:50 PM
    Moodle 2.7.
    When loaded in Moodle:
    1.Unable to check dependencies for theme_cerulean/
    2. You need to satisfy dependencies for all plug-ins before attempting to install this version of Moodle!

    What should I do, tell me
  • Picture of Mahek Dhar
    Thu, Nov 13, 2014, 3:23 PM
    Moodle 2.7

    In "Enrolled users" page add group button come here more than 1. Please check this issue.
Please login to post comments